<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
    <link rel="stylesheet" href="{{ url_for('static', filename='dist/output.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='dist/custom.css') }}">
    <link rel="icon" href="{{ url_for('static', filename='images/tuks_fav.svg') }}" type="image/x-icon">
    <link rel="manifest" href="/manifest.json">
    <title>STUKS | {{ page_title }}</title>
</head>
<body class="font-anton tracking-wider h-dvh text-white box-border cursor-default bg-grey">
    <div class="container relative h-full flex flex-col justify-between bg-secondary">

        <div class="grid grid-cols-4 px-8 py-4 items-center rounded-b-lg bg-grey-dark">
            {% if page_title|lower == 'shopping cart' %}
                <a href="/shop">
                    <i class="stroke-yellow stroke-2 w-8 h-auto" lucide="chevron-left"></i>
                </a>
                <h1 class="col-span-2 text-yellow text-3xl md:text-5xl text-center">{{ page_title }}</h1>
            {% elif page_title|lower in ['edit', 'edit products', 'edit events', 'edit users'] %}
                <a href="/admin">
                    <i class="stroke-yellow stroke-2 w-8 h-auto" lucide="chevron-left"></i>
                </a>
                <h1 class="col-span-2 text-yellow text-3xl md:text-5xl text-center">{{ page_title }}</h1>
            {% else %}
                <h1 class="col-span-2 col-start-2 text-yellow text-3xl md:text-5xl text-center">{{ page_title }}</h1>
            {% endif %}
            <a class="flex justify-end" href="/logout">
                <i class="stroke-yellow stroke-2 text-right" lucide="log-out"></i>
            </a>
        </div>

        <div class="flex-1 flex flex-col gap-8 px-6 py-8 overflow-scroll scrollbar-hide">
            {% block content %}
            {% endblock content %}
        </div>

        <div class="tab-bar md:px-8 py-4 bg-grey-dark rounded-t-lg">
            <div class="flex justify-evenly px-6 gap-6">
                <div class="flex flex-col justify-center items-center">
                    <a href="/shop">
                        {% if page_title|lower in ['shop', "shopping cart"] %}
                            <i class="icon w-8 h-auto stroke-yellow stroke-2 hover:cursor-pointer" lucide="shopping-cart"></i>
                        {% else %}
                            <i class="icon w-8 h-auto stroke-white stroke-1 hover:cursor-pointer" lucide="shopping-cart"></i>
                        {% endif %}
                    </a>
                </div>
                <div class="flex flex-col justify-center items-center">
                    <a href="/history">
                        {% if page_title|lower == 'history' %}
                            <i class="icon w-8 h-auto stroke-yellow stroke-2 hover:cursor-pointer" lucide="history"></i>
                        {% else %}
                            <i class="icon w-8 h-auto stroke-white stroke-1 hover:cursor-pointer" lucide="history"></i>
                        {% endif %}
                    </a>
                </div>
                <!-- TODO: uncomment when events are ready! -->
                <!-- <div class="flex flex-col justify-center items-center">
                    <a href="/">
                        {% if page_title|lower == 'calendar' %}
                            <i class="icon w-8 h-auto stroke-yellow stroke-2 hover:cursor-pointer" lucide="calendar-days"></i>
                        {% else %}
                            <i class="icon w-8 h-auto stroke-white stroke-1 hover:cursor-pointer" lucide="calendar-days"></i>
                        {% endif %}
                    </a>
                </div> -->
                <div class="flex flex-col justify-center items-center">
                    <a href="/me">
                        {% if page_title == session['name'] %}
                            <i class="icon w-8 h-auto stroke-yellow stroke-2 hover:cursor-pointer" lucide="user-round"></i>
                        {% else %}
                            <i class="icon w-8 h-auto stroke-white stroke-1 hover:cursor-pointer" lucide="user-round"></i>
                        {% endif %}
                    </a>
                </div>
                {% if session['roles'] %}
                    {% if 'fridge' in session['roles'] %}
                        <a href="/change-stock">
                            {% if page_title|lower in ['stock update'] %}
                            <i class="icon w-8 h-auto stroke-yellow stroke-2 hover:cursor-pointer" lucide="copy-plus"></i>
                            {% else %}
                            <i class="icon w-8 h-auto stroke-white stroke-1 hover:cursor-pointer" lucide="copy-plus"></i>
                            {% endif %}
                        </a>
                    {% endif %}
                    {% if 'board' in session['roles'] %}
                        <div class="flex flex-col justify-center items-center">
                            <a href="/admin">
                                {% if page_title|lower in ['admin', 'edit', 'stock update', 'edit products', 'edit events', 'edit users'] %}
                                    <i class="icon w-8 h-auto stroke-yellow stroke-2 hover:cursor-pointer" lucide="wrench"></i>
                                {% else %}
                                    <i class="icon w-8 h-auto stroke-white stroke-1 hover:cursor-pointer" lucide="wrench"></i>
                                {% endif %}
                            </a>
                        </div>
                    {% endif %}
                {% endif %}
            </div>
        </div>
    </div>
    <script src="https://unpkg.com/lucide@latest"></script>
  <script>
    lucide.createIcons({
        nameAttr: 'lucide'
      });
  </script>
</body>
</html>